function validateForename(field)
{
  return (field == "") ? "Entrez un prnom.\n" : ""
}

function validateSurname(field)
{
  return (field == "") ? "Entrez un nom de famille.\n" : ""
}

function validateUsername(field)
{
  if (field == "") return "Entrez un nom d'utilisateur.\n"
  else if (field.length < 5)
    return "Le nom d'utilisateur doit contenir au moins 5 caractres.\n"
  else if (/[^a-zA-Z0-9_-]/.test(field))
    return "Seuls caractres permis dans le nom d'utilisateur : " +
           "a-z, A-Z, 0-9, - et _.\n"
  return ""
}

function validatePassword(field)
{
  if (field == "") return "Entrez un mot de passe.\n"
  else if (field.length < 6)
    return "Le mot de passe doit contenir au moins 6 caractres.\n"
  else if (! /[a-z]/.test(field) ||
           ! /[A-Z]/.test(field) ||
           ! /[0-9]/.test(field))
    return "Le mot de passe doit contenir au moins un a-z, A-Z et 0-9.\n"
  return ""
}

function validateAge(field)
{
  if (field == "" || isNaN(field)) return "Entrez l'ge en chiffres.\\n"
  else if (field < 18 || field > 110)
    return "L'ge doit tre compris entre 18 et 110.\n"
  return ""
}

function validateEmail(field)
{
  if (field == "") return "Entrez une adresse de courrier lectronique.\n"
    else if (!((field.indexOf(".") > 0) &&
               (field.indexOf("@") > 0)) ||
               /[^a-zA-Z0-9.@_-]/.test(field))
      return "L'adresse de courrier lectronique n'est pas valable.\n"
  return ""
}